Commit e88b154f authored by Achilleas Pipinellis's avatar Achilleas Pipinellis

Add minitest to Gemfile.

In order to use the system Fedora/EPEL ruby we need to install
minitest in production. See comments in Gemfile.
parent 10f3a071
......@@ -154,6 +154,13 @@ gem 'rails-timeago', '2.11.0'
# https://github.com/rubyzip/rubyzip#important-note
gem 'zip-zip'
# Prevent occasions where minitest is not bundled in
# packaged versions of ruby. See following issues/prs:
# https://github.com/gitlabhq/gitlabhq/issues/3826
# https://github.com/gitlabhq/gitlabhq/pull/3852
# https://github.com/discourse/discourse/pull/238
gem 'minitest'
# Windows and OSX have an execjs compatible runtime built-in, Linux users should
# install Node.js or use 'therubyracer'.
......
......@@ -642,6 +642,7 @@ DEPENDENCIES
markerb (= 1.0.2)
messagebus_ruby_api (= 1.0.3)
mini_magick (= 4.0.1)
minitest
mobile-fu (= 1.3.1)
mysql2 (= 0.3.17)
nokogiri (= 1.6.4.1)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment